Package org.python.modules.posix

# Class PythonPOSIXHandler

java.lang.Object
org.python.modules.posix.PythonPOSIXHandler

All Implemented Interfaces:
  `jnr.posix.POSIXHandler`

public class PythonPOSIXHandler extends Object implements jnr.posix.POSIXHandler
Jython specific hooks for our underlying POSIX library.

## Nested Class Summary

## Nested classes/interfaces inherited from interface jnr.posix.POSIXHandler

`jnr.posix.POSIXHandler.WARNING_ID`

## Constructor Summary

Constructors
Constructor
Description
`PythonPOSIXHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`error(jnr.constants.platform.Errno error, String extraData)`
`void`
`error(jnr.constants.platform.Errno error, String methodName, String extraData)`
`File`
`getCurrentWorkingDirectory()`
`String[]`
`getEnv()`
`PrintStream`
`getErrorStream()`
`InputStream`
`getInputStream()`
`PrintStream`
`getOutputStream()`
`int`
`getPID()`
`boolean`
`isVerbose()`
`void`
`unimplementedError(String methodName)`
`void`
`warn(jnr.posix.POSIXHandler.WARNING_ID id, String message, Object... data)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PythonPOSIXHandler

public PythonPOSIXHandler()

## Method Details

### error

public void error(jnr.constants.platform.Errno error, String extraData)

Specified by:
  `error` in interface `jnr.posix.POSIXHandler`

### error

public void error(jnr.constants.platform.Errno error, String methodName, String extraData)

Specified by:
  `error` in interface `jnr.posix.POSIXHandler`

### unimplementedError

public void unimplementedError(String methodName)

Specified by:
  `unimplementedError` in interface `jnr.posix.POSIXHandler`

### warn

public void warn(jnr.posix.POSIXHandler.WARNING_ID id, String message, Object... data)

Specified by:
  `warn` in interface `jnr.posix.POSIXHandler`

### isVerbose

public boolean isVerbose()

Specified by:
  `isVerbose` in interface `jnr.posix.POSIXHandler`

### getCurrentWorkingDirectory

public File getCurrentWorkingDirectory()

Specified by:
  `getCurrentWorkingDirectory` in interface `jnr.posix.POSIXHandler`

### getEnv

public String[] getEnv()

Specified by:
  `getEnv` in interface `jnr.posix.POSIXHandler`

### getInputStream

public InputStream getInputStream()

Specified by:
  `getInputStream` in interface `jnr.posix.POSIXHandler`

### getOutputStream

public PrintStream getOutputStream()

Specified by:
  `getOutputStream` in interface `jnr.posix.POSIXHandler`

### getPID

public int getPID()

Specified by:
  `getPID` in interface `jnr.posix.POSIXHandler`

### getErrorStream

public PrintStream getErrorStream()

Specified by:
  `getErrorStream` in interface `jnr.posix.POSIXHandler`